# @(#) $Id: gwyddion.spec.in,v 1.5 2005/04/15 08:46:58 yeti-dn Exp $
Summary: A SPM data analysis framework.
Name: gwyddion
Version: 1.99.2
Release: 1
License: GNU GPL
Group: Applications/Engineering
Source: http://trific.ath.cx/Ftp/%{name}/gwyddion-1.99.2.tar.bz2
URL: http://gwyddion.net/
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Prereq: /sbin/ldconfig
Prereq: desktop-file-utils >= 0.9
BuildPrereq: gtk2-devel >= 2.2
BuildPrereq: gtkglext-devel >= 1.0
BuildPrereq: libpng-devel
BuildPrereq: libjpeg-devel
BuildPrereq: gtk-doc >= 1.0
BuildPrereq: python >= 2.2
BuildPrereq: ruby >= 1.8
BuildPrereq: perl >= 5.005
BuildPrereq: gettext

%package devel
Summary: Headers, libraries and tools for Gwyddion module development.
Group: Development/Libraries
Requires: %{name} = %{version}

%package plugins
Summary: Example plugins for Gwyddion.
License: public domain
Group: Applications/Engineering
Requires: %{name}
Requires: %{name}-devel

%description
Gwyddion is a modular SPM (Scanning Probe Microsope) data visualization and
analysis tool written with Gtk+.

It can be used for all most frequently used data processing operations
including: leveling, false color plotting, shading, filtering, denoising, data
editing, integral transforms, grain analysis, profile extraction, fractal
analysis, and many more. The program is primarily focused on SPM data analysis
(e.g. data obtained from AFM, STM, NSOM, and similar microscopes). However, it
can also be used for analyzing SEM (scaning electron microscopy) data or any
other 2D data.

%description devel
Header files, libraries and tools for Gwyddion module development.  This
package also contains the API docmentation.

%description plugins
Example plug-ins for Gwyddion. They are mostly useless except as a basis for
your own plug-ins.

%prep
%setup -q

%build
%configure --disable-desktop-file-update
%__make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && %__rm -rf $RPM_BUILD_ROOT
%makeinstall HTML_DIR=$RPM_BUILD_ROOT%{_datadir}/gtk-doc/html
%__strip $RPM_BUILD_ROOT%{_libdir}/%{name}/modules/*/*.so
%__strip $RPM_BUILD_ROOT%{_libdir}/%{name}/modules/*.so

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %__rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications
update-mime-database %{_datadir}/mime

%postun
/sbin/ldconfig
update-desktop-database %{_datadir}/applications
update-mime-database %{_datadir}/mime

%files
%defattr(755,root,root)
%{_bindir}/%{name}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS
%{_datadir}/%{name}/pixmaps/*.png
%{_datadir}/%{name}/pixmaps/*.ico
%{_mandir}/man1/%{name}.*
%dir %{_datadir}/%{name}/pixmaps
%dir %{_datadir}/%{name}
%dir %{_datadir}/pixmaps/%{name}.png
%{_libdir}/%{name}/modules/file/*.so
%{_libdir}/%{name}/modules/graph/*.so
%{_libdir}/%{name}/modules/layer/*.so
%{_libdir}/%{name}/modules/process/*.so
%{_libdir}/%{name}/modules/tool/*.so
%{_libdir}/%{name}/modules/*.so
%dir %{_libdir}/%{name}/modules/file
%dir %{_libdir}/%{name}/modules/graph
%dir %{_libdir}/%{name}/modules/layer
%dir %{_libdir}/%{name}/modules/process
%dir %{_libdir}/%{name}/modules/tool
%dir %{_libdir}/%{name}/modules
%dir %{_libdir}/%{name}
#%{_libdir}/libgwyapp.so.*
#%{_libdir}/libgwyddion.so.*
#%{_libdir}/libgwydgets.so.*
#%{_libdir}/libgwydraw.so.*
#%{_libdir}/libgwymodule.so.*
#%{_libdir}/libgwyprocess.so.*
%{_libdir}/libgwyapp-1.99.*.so
%{_libdir}/libgwyddion-1.99.*.so
%{_libdir}/libgwydgets-1.99.*.so
%{_libdir}/libgwydraw-1.99.*.so
%{_libdir}/libgwymodule-1.99.*.so
%{_libdir}/libgwyprocess-1.99.*.so
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/locale/*/LC_MESSAGES/*.mo

%files devel
%defattr(-,root,root)
%doc devel-docs/CODING-STANDARDS
%doc devel-docs/README.QA
%{_includedir}/%{name}/app/*.h
%{_includedir}/%{name}/libdraw/*.h
%{_includedir}/%{name}/libprocess/*.h
%{_includedir}/%{name}/libgwyddion/*.h
%{_includedir}/%{name}/libgwydgets/*.h
%{_includedir}/%{name}/libgwymodule/*.h
%{_libdir}/%{name}/include/gwyconfig.h
%dir %{_includedir}/%{name}/app
%dir %{_includedir}/%{name}/libdraw
%dir %{_includedir}/%{name}/libprocess
%dir %{_includedir}/%{name}/libgwyddion
%dir %{_includedir}/%{name}/libgwydgets
%dir %{_includedir}/%{name}/libgwymodule
%dir %{_includedir}/%{name}
%{_datadir}/gtk-doc/html/libgwyapp/*
%{_datadir}/gtk-doc/html/libgwydraw/*
%{_datadir}/gtk-doc/html/libgwyprocess/*
%{_datadir}/gtk-doc/html/libgwyddion/*
%{_datadir}/gtk-doc/html/libgwydgets/*
%{_datadir}/gtk-doc/html/libgwymodule/*
%dir %{_datadir}/gtk-doc/html/libgwyapp
%dir %{_datadir}/gtk-doc/html/libgwydraw
%dir %{_datadir}/gtk-doc/html/libgwyprocess
%dir %{_datadir}/gtk-doc/html/libgwyddion
%dir %{_datadir}/gtk-doc/html/libgwydgets
%dir %{_datadir}/gtk-doc/html/libgwymodule
%dir %{_datadir}/gtk-doc/html
%{_libdir}/%{name}/perl/Gwyddion/*
%{_libdir}/%{name}/python/Gwyddion/*
%{_libdir}/%{name}/ruby/gwyddion/*
%dir %{_libdir}/%{name}/perl/Gwyddion
%dir %{_libdir}/%{name}/perl
%dir %{_libdir}/%{name}/python/Gwyddion
%dir %{_libdir}/%{name}/python
%dir %{_libdir}/%{name}/ruby/gwyddion
%dir %{_libdir}/%{name}/ruby
%doc %{_mandir}/man3/*
%doc %dir %{_mandir}/man3
%{_libdir}/pkgconfig/%{name}.pc
%dir %{_libdir}/pkgconfig
#%{_libdir}/libgwyapp.so
#%{_libdir}/libgwyddion.so
#%{_libdir}/libgwydgets.so
#%{_libdir}/libgwydraw.so
#%{_libdir}/libgwymodule.so
#%{_libdir}/libgwyprocess.so
%{_libdir}/libgwyapp.la
%{_libdir}/libgwyddion.la
%{_libdir}/libgwydgets.la
%{_libdir}/libgwydraw.la
%{_libdir}/libgwymodule.la
%{_libdir}/libgwyprocess.la

%files plugins
%defattr(755,root,root)
%{_libexecdir}/%{name}/plugins/file/*
%{_libexecdir}/%{name}/plugins/process/*
%dir %{_libexecdir}/%{name}/plugins/file
%dir %{_libexecdir}/%{name}/plugins/process
%dir %{_libexecdir}/%{name}/plugins
%dir %{_libexecdir}/%{name}

